TrustKeeper Scan Engine Update for May 31, 2016

Summary

The latest update to the TrustKeeper scan engine that powers our Trustwave Vulnerability Management product (including both internal and external vulnerability scanning) is now available. Highlights of the update include coverage for 24 new vulnerabilities, DROWN attack detection and support for Small Footprint CIM Broker. Enjoy!

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Apache

  • Apache Subversion authentication bypass in mod_authz_svn (CVE-2015-3184)
  • Apache Subversion authentication bypass via mod_dontdothat (CVE-2013-4505)
  • Apache Subversion authentication bypass via path-based authorization (CVE-2015-3187)
  • Apache Subversion Denial of Service in mod_authz_svn via COPY or MOVE requests (CVE-2016-2168)
  • Apache Subversion Denial of Service in mod_dav_svn via non-existant URI (CVE-2014-8108)
  • Apache Subversion Denial of Service in mod_dav_svn via non-canonical URLs in SVNAutoversioning (CVE-2013-4558)
  • Apache Subversion Denial of Service in mod_dav_svn via skel-encoded requests (CVE-2015-5343)
  • Apache Subversion Denial of Service in mod_dav_svn via invalid formatted URIs in REPORT request (CVE-2014-3580)
  • Apache Subversion Denial of Service in mod_dav_svn via OPTIONS request in SVNListParentPath (CVE-2014-0032)
  • Apache Subversion local symlink attack via --pid-file option (CVE-2013-4277)

Ruby

  • Man in the middle attack through the net libraries like smtp, ftptls, telnets, imap and pop3 in Ruby (CVE-2007-5770)
  • Man in the middle attack through the Net:HTTP(S) library in Ruby (CVE-2007-5162)

PostgreSQL

  • PostgreSQL authentication bypass via cached plans (CVE-2016-2193)
  • PostgreSQL pageinspect extension allows extraction of sensitive server memory information via crafted BRIN index page (CVE-2016-3065)

NTP

  • Symmetric authentication impersonation vulnerability for NTP (CVE-2015-7974)

OpenSSL

  • Cross-protocol attack on TLS using SSLv2: DROWN (Decrypting RSA using Obsolete and Weakened Encryption) (CVE-2016-0800)
  • OpenSSL does not prevent use of disabled ciphers (ssl/s2_srvr.c) (CVE-2015-3197)
  • OpenSSL implementation of SSLv2 protocol accepts non-zero MASTER-KEY CLEAR-KEY-LENGTH value (CVE-2016-0703)
  • OpenSSL implementation of SSLv2 protocol overwrites incorrect MASTER-KEY bytes when export ciphers are in use (CVE-2016-0704)

PHP

ProFTPD

  • ProFTPD mod_tls prior to 1.3.5b and 1.3.6rc2 ignores user specified DH parameters (CVE-2016-3125)

Samba

  • Denial of service vulnerability through the DCE/RPC layer in Samba (CVE-2015-5370)
  • Man in the middle attack through NTLMSSP in Samba (CVE-2016-2110)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.